Package org.apache.solr.client.solrj.io.eval

## Class FindDelayEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.RecursiveEvaluator
  - - org.apache.solr.client.solrj.io.eval.RecursiveNumericEvaluator
    - - org.apache.solr.client.solrj.io.eval.FindDelayEvaluator

All Implemented Interfaces:
  `Serializable`, `StreamEvaluator`, `TwoValueWorker`, `ValueWorker`, `Expressible`

    public class FindDelayEvaluator
    extends RecursiveNumericEvaluator
    implements TwoValueWorker

See Also:
  Serialized Form

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`constructingFactory, containedEvaluators, nodeId, streamContext`

### Constructor Summary

Constructors
`FindDelayEvaluator​(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `doWork​(Object first, Object second)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.RecursiveNumericEvaluator

`normalizeInputType`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`evaluate, getStreamContext, normalizeOutputType, recursivelyEvaluate, setStreamContext, toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.TwoValueWorker

`doWork`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### FindDelayEvaluator

    public FindDelayEvaluator​(StreamExpression expression,
                              StreamFactory factory)
                       throws IOException

Throws:
  `IOException`

### Method Detail

#### doWork

    public Object doWork​(Object first,
                         Object second)
                  throws IOException

Specified by:
  `doWork` in interface `TwoValueWorker`
Throws:
  `IOException`